##
##  sav.spec -- OpenPKG RPM Specification
##  Copyright (c) 2000-2003 Cable & Wireless Deutschland GmbH
##  Copyright (c) 2000-2003 The OpenPKG Project <http://www.openpkg.org/>
##  Copyright (c) 2000-2003 Ralf S. Engelschall <rse@engelschall.com>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package versions
%define       V_full       3.56
%define       V_short      356

#   package information
Name:         sav
Summary:      SOPHOS Anti-Virus
URL:          http://www.sophos.com/
Vendor:       SOPHOS
Packager:     The OpenPKG Project
Distribution: OpenPKG [EVAL]
Group:        Filesystem
License:      Commercial/Free-Trail
Version:      %{V_full}
Release:      20030108

#   list of sources
Source0:      http://www.sophos.com/downloads/ide/%{V_short}_ides.zip
Source1:      http://downloads.sophos.com/dp/full/freebsd.elf.tar.Z
Source2:      http://downloads.sophos.com/dp/full/linux.intel.libc6.tar.Z
Source3:      http://downloads.sophos.com/dp/full/solaris.sparc.tar.Z
Source4:      sweep.sh
Source5:      freebsd.libc.so.3
%NoSource     0
%NoSource     1
%NoSource     2
%NoSource     3

#   build information
Prefix:       %{l_prefix}
BuildRoot:    %{l_buildroot}
BuildPreReq:  OpenPKG, openpkg >= 20030108, infozip
PreReq:       OpenPKG, openpkg >= 20030108
AutoReq:      no
AutoReqProv:  no

%description
    This is the free-trail version of the SOPHOS Anti-Virus
    command line virus scanner for Unix.

%prep
    %integrity
    %setup -q -T -c
    case "%{l_target}" in
        *-freebsd* ) engine="%{SOURCE1}" ;;
        *-linux*   ) engine="%{SOURCE2}" ;;
        *-solaris* ) engine="%{SOURCE3}" ;;
        * ) echo "Sorry, platform %{l_target} not supported" 1>&2; exit 1 ;;
    esac
    %{l_gzip} -d -c $engine | %{l_tar} xf -
    ( mkdir ides; cd ides;
      %{l_prefix}/bin/unzip -x %{SOURCE0}
    )

%build
    #   no-op

%install
    rm -rf $RPM_BUILD_ROOT
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/etc/sav \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/sav \
        $RPM_BUILD_ROOT%{l_prefix}/man/man1
    ( cd sav-install
      chmod u+w install.sh
      %{l_shtool} subst -e 's;chown;true;g' -e 's;chgrp;true;g' install.sh
      %{l_bash} install.sh -readytogo -v \
          -d $RPM_BUILD_ROOT%{l_prefix} \
          -b $RPM_BUILD_ROOT%{l_prefix}/libexec/sav \
          -l $RPM_BUILD_ROOT%{l_prefix}/libexec/sav \
          -m $RPM_BUILD_ROOT%{l_prefix}/man \
          -s $RPM_BUILD_ROOT%{l_prefix}/share/sav \
          -ni -nssi -nrm
    )
    for ide in ides/*.ide; do
        %{l_shtool} install -c -m 644 \
           $ide $RPM_BUILD_ROOT%{l_prefix}/share/sav/
    done
    case "%{l_target}" in
        *-freebsd* )
            %{l_shtool} install -c -m 755 \
                %{SOURCE freebsd.libc.so.3} \
                $RPM_BUILD_ROOT%{l_prefix}/libexec/sav/libc.so.3
            ;;
    esac
    %{l_shtool} install -c -m 755 -e 's;@l_prefix@;%{l_prefix};g' \
        %{SOURCE sweep.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/sweep
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean
    rm -rf $RPM_BUILD_ROOT

